package com.nbclass.szxgl.controller;

import java.util.HashMap;
import java.util.Map;

import org.springframework.stereotype.Controller;
import org.springframework.ui.ModelMap;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;

import com.nbclass.system.controller.BaseController;

/**
 * 入口页面
 * @author Leon
 * @datetime 2019年3月31日 下午10:45:57
 */
@Controller
public class PageEntryController extends BaseController {

    
    /**
     * 动态路径，方便测试用
     * @param filename
     * @return
     */
    @GetMapping("/mobile/page/project/{filename}")
    public String newspage(@PathVariable("filename") String filename){
        return "xgl-pages/project/"+filename;
    }
	
    /**
     * 项目列表页面
     * @return
     */
    @GetMapping("/mobile/page/project/list")
    public String page_projectList(){
        return "xgl-pages/project/list";
    }
    
    /**
     * 未完成的项目列表
     * @return
     */
    @GetMapping("/mobile/page/project/unfinished/list")
    public String page_project_unfinished_list(){
        return "xgl-pages/project/unfinished/list";
    }
    
    
    /**
     * 项目文档页面
     * @return
     */
    @GetMapping("/mobile/page/project/file/list")
    public String page_projectFileList(){
        return "xgl-pages/project/file/list";
    }
    
    /**
     * 项目任务进度页面
     * @return
     */
    @GetMapping("/mobile/page/project/task/list")
    public String page_projectTaskList(){
        return "xgl-pages/project/task/list";
    }
    
    
    /**
     * 图表页面
     * @return
     */
    @GetMapping("/mobile/page/graphic/index")
    public String page_graphicIndex(){
        return "xgl-pages/graphic/index";
    }
    
    /**
     * 提交任务
     * @return
     */
    @GetMapping("/mobile/page/project/add")
    public String page_projectAdd(ModelMap map){
        return "xgl-pages/project/add";
    }
    
    /**
     * 个人排名
     * @return
     */
    @GetMapping("/mobile/page/graphic/person")
    public String person(){
        return "xgl-pages/graphic/person";
    }
     /**
      * 部门月报表
      * @return
      */
    @GetMapping("/mobile/page/graphic/department")
    public String department(){
        return "xgl-pages/graphic/department";
    }
    
    
}
